Package org.jfree.layouting.output.pageable

## Class PhysicalPageKey

- java.lang.Object
- - org.jfree.layouting.output.pageable.PhysicalPageKey

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class PhysicalPageKey
      extends java.lang.Object
      implements java.io.Serializable

  A physical page-key identifies a generated page.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhysicalPageKey​(LogicalPageKey logicalPage, int x, int y)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `LogicalPageKey` | `getLogicalPage​()` |
    `int` | `getX​()` |
    `int` | `getY​()` |
    `int` | `hashCode​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhysicalPageKey

          public PhysicalPageKey​(LogicalPageKey logicalPage,
                                 int x,
                                 int y)

  - ### Method Detail

    - #### getLogicalPage

          public LogicalPageKey getLogicalPage​()

    - #### getX

          public int getX​()

    - #### getY

          public int getY​()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`